%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Net/FTP.pm) perl(Net/FTP/blat.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name DirDB-FTP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Perl extension to use a remote directory as a database
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAVIDNICO/DirDB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
DirDB::FTP is a package that lets you access a DirDB.hash on a remote machine, through the FTP server.

The semantics of DirDB (version 0.06) are followed, including
directory locking and recursive memory loading on directory deletion.

Net::FTP is used for the connection, including the Net::FTP::blat
extensions.

Most actions can be done with ftp method return values, but
differentiating between directories and non=existent files is
done by parsing the `message' for the phrase 'no such file'
so if you are using DirDB::FTP against a FTP server that issues
a different errore message when there is no such file, you
will have to edit your copy of the module.

The underlying object is an array containing the Net::FTP
connection object and the absolute path to 
the directory, modulo any chrooting the FTP server might do
based on the provided credentials, of course.

Keys are names within the directory, values
are the contents of the files.

A leading space is used as an escape character, the empty
string as a key becomes ' EMPTY' just like in DirDB.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/D*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

